Subject: Re: bug#12349: 24.2.50; Italic face is underlined instead of slanted

From: Chong Yidong <[email-masked]>
Date: Sun, 04 Nov 2012 13:35:19 +0800

Stephen Berman <[email-masked]> writes:

> When I start Emacs with my init file or with -q, doing `M-x
> customize-face RET italic' shows this:
>
> Hide italic face: [sample]
>     State : STANDARD.
>    Basic italic face.
>    [X] Underline: Value Menu On:
>
> This behavior began with my build from bzr trunk revision 109818.

That doesn't look right; 109818 is a doc fix to compile.el.

> (setq default-frame-alist
>       '((font . "Dejavu Sans Mono-9") (font-backend . "xft")))
>
> which suffices, in my build from revision 109703, to show italic as
> slanted; but since revision 109818, italic is shown as underlined even
> with the above sexp.
>
> I ran bzr bisect, and if I used it correctly (which I'm not sure of), it
> appears to implicate revision 109788:
>
> On revision 109788 ([email-masked]):      
> Special MEM_TYPE_SPARE to denote reserved memory.
> * alloc.c (enum mem_type): New memory type.
> (refill_memory_reserve): Use new type for spare memory.
> This prevents live_cons_p and live_string_p from incorrect
> detection of uninitialized objects from spare memory as live.

This makes no sense either; Dmitry's patch does not touch any part of
the code which can affect the behavior you're describing.  Are you sure
you are bisecting correctly?

> my system (openSUSE 12.1) has this in /usr/share/X11/app-defaults/Emacs:
>
> Emacs.Font:                     fontset-16
> [...]
> Emacs*Fontset-0:\
>         -*-fixed-medium-r-*--16-*-*-*-*-*-fontset-16,\

I guess openSUSE is still catering to pre-Xft (< 23.1) Emacs.  You
should be able to safely remove the Emacs.Font setting (or do
`xrdb -remove'), so that Emacs uses xft fonts by default.